interface WCWidthOptions {
    control?: number;
    nul?: number;
}
interface Options {
    /**
     * The character used to fill the gap.
     */
    char?: string;
    /**
     * Adjust to hidden terminal color characters.
     */
    colors?: boolean;
    /**
     * Remove characters from text if length smaller than text length, default to "false".
     */
    strip?: boolean;
    /**
     * An optimization option to disable the usage of the wcwidth package to handle the discovery of characters using more than one column for display.
     */
    fixed_width?: boolean;
    /**
     * Options passed to the wcwidth package used to calculate the display width of characters using more than one column.
     */
    wcwidth_options?: WCWidthOptions;
}
declare function pad(length: number, text: string | Buffer, options?: string | Options): string;
declare function pad(text: string | Buffer, length: number, options?: string | Options): string;

export { pad as default };
